Skip to content

The Argentine Rock Legends is an example OpenAPI specification to test OpenAPI tools and libraries. Get all the data for all artists.

Inspired by Scalar Galaxy

Resources

  • https://github.com/enzonotario/vitepress-openapi
  • https://github.com/OAI/OpenAPI-Specification

Markdown Support

All descriptions can contain tons of text Markdown. If GitHub supports the syntax, chances are we’re supporting it, too. You can even create internal links to reference endpoints.

Examples

Blockquotes

I love Argentine Rock. <3

Tables

Feature Availability
Markdown Support ✓

Accordion

<details>
  <summary>Using Details Tags</summary>
  <p>HTML Example</p>
</details>

Images

Yes, there’s support for images, too!

Placeholder image

Contact​

Servers​

https://stoplight.io/mocks/enzonotario/argentine-rock/122547792Mock Server

Get all artists​

GET
/api/v1/artists

Get a list of all legendary Argentine Rock artists and explore their contributions to the music scene.

Parameters​

Query Parameters

limit

The number of items to return

Typeinteger
Format"int64"
Default10
offset

The number of items to skip before starting to collect the result set

Typeinteger
Format"int64"
Default0

Responses​

OK

application/json
JSON
{
"data": [
{
"id": 1,
"name": "Charly García",
"description": "One of the most influential rock musicians in Argentine history.",
"image": "https://cdn.rock-legends.com/photos/charly.jpg",
"band": "Sui Generis"
}
],
"meta": {
"limit": 10,
"offset": 0,
"total": 100,
"next": "/artists?limit=10&offset=10"
}
}

Playground​

Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python

Add a new artist​

POST
/api/v1/artists

Add a new legendary Argentine Rock artist. Make sure they truly deserve the title!

Authorizations​

bearerAuth
TypeHTTP (bearer)
or
apiKeyHeader
TypeAPI Key (header: X-API-Key)

Request Body​

application/json
JSON
{
"id": 1,
"name": "Charly García",
"description": "One of the most influential rock musicians in Argentine history.",
"image": "https://cdn.rock-legends.com/photos/charly.jpg",
"band": "Sui Generis"
}

Responses​

Created

application/json
JSON
{
"id": 1,
"name": "Charly García",
"description": "One of the most influential rock musicians in Argentine history.",
"image": "https://cdn.rock-legends.com/photos/charly.jpg",
"band": "Sui Generis"
}

Playground​

Authorization
Body

Samples​

cURL
JavaScript
PHP
Python

Get an artist​

GET
/api/v1/artists/{artistId}

Learn more about a specific Argentine Rock artist and their legacy.

Parameters​

Path Parameters

artistId*
Typeinteger
Required
Example1
Format"int64"

Responses​

Artist Found

application/json
JSON
{
"id": 1,
"name": "Charly García",
"description": "One of the most influential rock musicians in Argentine history.",
"image": "https://cdn.rock-legends.com/photos/charly.jpg",
"band": "Sui Generis"
}

Playground​

Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python

Update an artist​

PUT
/api/v1/artists/{artistId}

Update the information of a legendary Argentine Rock artist. Make sure to provide accurate data.

Authorizations​

bearerAuth
TypeHTTP (bearer)
or
apiKeyHeader
TypeAPI Key (header: X-API-Key)

Parameters​

Path Parameters

artistId*
Typeinteger
Required
Example1
Format"int64"

Request Body​

application/json
JSON
{
"id": 1,
"name": "Charly García",
"description": "One of the most influential rock musicians in Argentine history.",
"image": "https://cdn.rock-legends.com/photos/charly.jpg",
"band": "Sui Generis"
}

Responses​

OK

application/json
JSON
{
"id": 1,
"name": "Charly García",
"description": "One of the most influential rock musicians in Argentine history.",
"image": "https://cdn.rock-legends.com/photos/charly.jpg",
"band": "Sui Generis"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

cURL
JavaScript
PHP
Python

Deprecated

Delete an artist​

DELETE
/api/v1/artists/{artistId}

This endpoint was used to delete artists. Unfortunately, that caused a lot of controversy. So, this endpoint is now deprecated and should not be used anymore.

Authorizations​

bearerAuth
TypeHTTP (bearer)
or
apiKeyHeader
TypeAPI Key (header: X-API-Key)

Parameters​

Path Parameters

artistId*
Typeinteger
Required
Example1
Format"int64"

Responses​

Bad Request

application/json
JSON
{
"type": "https://example.com/errors/generic-error",
"title": "Something went wrong here.",
"status": 403,
"detail": "Unfortunately, we can’t provide further information."
}

Playground​

Authorization
Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python

Get all albums​

GET
/api/v1/artists/{artistId}/albums

Get a list of all albums from a legendary Argentine Rock artist.

Parameters​

Path Parameters

artistId*
Typeinteger
Required
Example1
Format"int64"

Query Parameters

limit

The number of items to return

Typeinteger
Format"int64"
Default10
offset

The number of items to skip before starting to collect the result set

Typeinteger
Format"int64"
Default0

Responses​

OK

application/json
JSON
{
"data": [
{
"id": 1,
"name": "La Máquina de Hacer Pájaros",
"year": 1976,
"image": "https://cdn.rock-legends.com/photos/la-maquina.jpg"
}
],
"meta": {
"limit": 10,
"offset": 0,
"total": 100,
"next": "/artists?limit=10&offset=10"
}
}

Playground​

Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python

Add a new album​

POST
/api/v1/artists/{artistId}/albums

Add a new album to a legendary Argentine Rock artist. Make sure it’s a masterpiece!

Authorizations​

bearerAuth
TypeHTTP (bearer)
or
apiKeyHeader
TypeAPI Key (header: X-API-Key)

Parameters​

Path Parameters

artistId*
Typeinteger
Required
Example1
Format"int64"

Request Body​

application/json
JSON
{
"id": 1,
"name": "La Máquina de Hacer Pájaros",
"year": 1976,
"image": "https://cdn.rock-legends.com/photos/la-maquina.jpg"
}

Responses​

Created

application/json
JSON
{
"id": 1,
"name": "La Máquina de Hacer Pájaros",
"year": 1976,
"image": "https://cdn.rock-legends.com/photos/la-maquina.jpg"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

cURL
JavaScript
PHP
Python

Authentication​

Some endpoints are public, but some require authentication. We provide all the required endpoints to create an account and authorize yourself.


Create a user​

POST
/api/v1/user/signup

Create a user account to access exclusive content about Argentine Rock legends.

Request Body​

application/json
JSON
{
"name": "Carlos",
"email": "carlos@rock-legends.com",
"password": "i-love-rock"
}

Responses​

Created

application/json
JSON
{
"id": 1,
"name": "Carlos",
"email": "carlos@rock-legends.com"
}

Playground​

Body

Samples​

cURL
JavaScript
PHP
Python

Powered by VitePress OpenAPI